CC   = icc
GCC  = gcc
LINKER = $(CC)

ifeq ($(ENABLE_OPENMP),true)
OPENMP   = -qopenmp
endif

VERSION  = --version
CFLAGS   =  -O3 -xHost -fp-model=precise -qopt-zmm-usage=high -std=c99 $(OPENMP) 
LFLAGS   = $(OPENMP) -llikwid 
DEFINES  = -D_GNU_SOURCE -DLIKWID_PERFMON
INCLUDES = -I/apps/likwid/5.2.2/include
LIBS     = -L/apps/likwid/5.2.2/lib
